## org.apache.tomcat.util.net
Class AprEndpoint.WorkerStack

    java.lang.Object
      org.apache.tomcat.util.net.AprEndpoint.WorkerStack

Enclosing class:
  AprEndpoint

public class AprEndpoint.WorkerStack
extends java.lang.Object

Field Summary
`protected int` `end`
`protected AprEndpoint.Worker[]` `workers`

Constructor Summary
`AprEndpoint.WorkerStack(int size)`

Method Summary
`boolean` `isEmpty()` Is the queue empty?
`AprEndpoint.Worker` `peek()` Get the first object out of the queue, Return null if the queue is empty.
`AprEndpoint.Worker` `pop()` Get the first object out of the queue.
`void` `push(AprEndpoint.Worker worker)` Put the object into the queue.
`int` `size()` How many elements are there in this queue?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### workers

    protected AprEndpoint.Worker[] workers

### end

    protected int end

Constructor Detail

### AprEndpoint.WorkerStack

    public AprEndpoint.WorkerStack(int size)

Method Detail

### push

    public void push(AprEndpoint.Worker worker)

  Put the object into the queue.

  Parameters:
    `worker` - the object to be appended to the queue (first element).

### pop

    public AprEndpoint.Worker pop()

  Get the first object out of the queue. Return null if the queue is empty.

### peek

    public AprEndpoint.Worker peek()

  Get the first object out of the queue, Return null if the queue is empty.

### isEmpty

    public boolean isEmpty()

  Is the queue empty?

### size

    public int size()

  How many elements are there in this queue?

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.